org.eclnt.jsfserver.util

## Class XMLResponseWriter

- java.lang.Object
- - ResponseWriter
  - - org.eclnt.jsfserver.util.XMLResponseWriter

-     public class XMLResponseWriter
      extends ResponseWriter

  Writer to an XML stream with some convenience methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLResponseWriter(java.io.Writer writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResponseWriter` | `cloneWithWriter(java.io.Writer writer)`
    `void` | `close()`
    `void` | `endDocument()`
    `void` | `endElement(java.lang.String name)`
    `void` | `flush()`
    `java.lang.String` | `getCharacterEncoding()`
    `java.lang.String` | `getContentType()`
    `void` | `startDocument()`
    `void` | `startElement(java.lang.String name, UIComponent componentForElement)`
    `void` | `write(char cbuf)`
    `void` | `write(char[] cbuf, int off, int len)`
    `void` | `write(int c)`
    `void` | `write(java.lang.String str)`
    `void` | `write(java.lang.String str, int off, int len)`
    `void` | `writeAttribute(java.lang.String name, java.lang.Object value, java.lang.String componentPropertyName)`
    `void` | `writeComment(java.lang.Object comment)`
    `void` | `writeText(char text)`
    `void` | `writeText(char[] text)`
    `void` | `writeText(char[] text, int off, int len)`
    `void` | `writeText(java.lang.Object text, java.lang.String componentPropertyName)`
    `void` | `writeURIAttribute(java.lang.String name, java.lang.Object value, java.lang.String componentPropertyName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLResponseWriter

          public XMLResponseWriter(java.io.Writer writer)
                            throws FacesException

      Throws:
        `FacesException`

  - ### Method Detail

    - #### getContentType

          public java.lang.String getContentType()

    - #### getCharacterEncoding

          public java.lang.String getCharacterEncoding()

    - #### startDocument

          public void startDocument()
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### endDocument

          public void endDocument()
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### startElement

          public void startElement(java.lang.String name,
                                   UIComponent componentForElement)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### endElement

          public void endElement(java.lang.String name)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeAttribute

          public void writeAttribute(java.lang.String name,
                                     java.lang.Object value,
                                     java.lang.String componentPropertyName)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeURIAttribute

          public void writeURIAttribute(java.lang.String name,
                                        java.lang.Object value,
                                        java.lang.String componentPropertyName)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeComment

          public void writeComment(java.lang.Object comment)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeText

          public void writeText(java.lang.Object text,
                                java.lang.String componentPropertyName)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeText

          public void writeText(char text)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeText

          public void writeText(char[] text)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeText

          public void writeText(char[] text,
                                int off,
                                int len)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### cloneWithWriter

          public ResponseWriter cloneWithWriter(java.io.Writer writer)

    - #### close

          public void close()
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(char cbuf)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(char[] cbuf,
                            int off,
                            int len)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(int c)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.lang.String str)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.lang.String str,
                            int off,
                            int len)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © CaptainCasa Gmbh. All Rights Reserved.